xorgcfg(__appmansuffix__)

NAME
xorgcfg - Graphical configuration tool for __xservername__

SYNOPSIS
xorgcfg [-config configfile] [-modulepath moduledir] [-fontpath fontsdir] [-toolkitoption ...]

DESCRIPTION
Xorgcfg is a tool to configure __xservername__, and can be used to either write the initial configuration file or make customizations to the current configuration.

When the DISPLAY environment variable is not set, xorgcfg will run the command __xservername__ -configure to allow the xserver to detect the hardware in the computer, and write an initial __xconfigfile__ file in the user's home directory. Then, it will start __xservername__ and allow customizations.

If the DISPLAY environment variable is set, xorgcfg will read the default __xconfigfile__, which may or may not be the one being used by the current server, and allow customizations.

To use an alternative location for modules or fonts the respective search paths may be specified.

Unless there is an Apply button in the current xorgcfg dialog, the changes made will take place the next time __xservername__ is started.

Xorgcfg allows addition and configuration of new devices, such as video cards, monitors, keyboards and mouses.

Screen layout configuration for xinerama or traditional multi-head is also available.

Modelines can be configured or optimized.

AccessX basic configurations can be made in the xorgcfg's accessx section.

OPTIONS

-config
    Specifies an alternate __xconfigfile__ file for configuration.

-modulepath
    Specifies where xorgcfg, and the server it may start, should look for __xservername__ modules.

-serverpath
    Specifies the complete path, not including the binary name, of the __xservername__ binary.

-fontpath
    Specifies the path to the fonts that should be used by the server started by xorgcfg.

-rgbpath
    Specifies the path to the rgb.txt file that should be used by the server started by xorgcfg, if any.

-textmode
    If xorgcfg was compiled with support for ncurses, this option makes xorgcfg enter a text mode interface.

-nomodules
    When built with support for loading modules, this options changes xorgcfg behaviour, so that it will not load any modules, and thus start quicker.

ENVIRONMENT

DISPLAY
    Default host and display number.

XWINHOME
    Directory where __xservername__ was installed, defaults to __projectroot__.

XENVIRONMENT
    Name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

FILES

/etc/__xconfigfile__
    Server configuration file

/etc/X11/__xconfigfile__
    Server configuration file

__projectroot__/etc/__xconfigfile__
    Server configuration file

__projectroot__/lib/X11/__xconfigfile__.hostname
    Server configuration file

__projectroot__/lib/X11/__xconfigfile__
    Server configuration file

__projectroot__/lib/X11/app-default/XOrgCfg
    Specifies xorgcfg resources

__projectroot__/lib/X11/xkb/X0-config.keyboard
    Keyboard specific configuration

SEE ALSO
__xservername__(__appmansuffix__), __xconfigfile__(__filemansuffix__)

COPYRIGHT

Copyright 2000, Conectiva Linux S.A.
    http://www.conectiva.com

Copyright 2000, The XFree86 Project
    http://www.XFree86.org

AUTHORS

Paulo C'esar Pereira de Andrade <pcpa@conectiva.com.br>
    originally for The XFree86 Project.

BUGS
Probably.